Module pyopenvdb :: Class Vec3SGrid :: Class ValueAllCIter |
[hide private]
[frames] | no frames]

# Class ValueAllCIter

     object --+
              |
    ??.instance --+
                  |
                 Vec3SGrid.ValueAllCIter

Read-only iterator over all tile and voxel values of a Vec3SGrid

Instance Methods | [hide private]
__init__(...) Raises an exception This class cannot be instantiated from Python |
__iter__(...) |
Value |
__next__() |
__reduce__(...) helper for pickle |
Value |
next() |
Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]
| parent the Vec3SGrid over which to iterate
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...) (Constructor) |
Raises an exception This class cannot be instantiated from Python Overrides: object.__init__

### __reduce__(...) |
helper for pickle Overrides: object.__reduce__ (inherited documentation)

Property Details | [hide private]

### parent the Vec3SGrid over which to iterate Get Method: unreachable(...)